# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
import wagtail.wagtailimages.blocks
import wagtail.wagtailcore.fields
import wagtail.wagtailcore.blocks
import wagtail.wagtailembeds.blocks
import wagtail_modeltranslation.models
import cosinnus.models.wagtail_models
import django.db.models.deletion
import cosinnus.models.wagtail_blocks


class Migration(migrations.Migration):

    dependencies = [
        ('wagtailimages', '0008_image_created_at_index'),
        ('wagtailcore', '0020_add_index_on_page_first_published_at'),
        ('cosinnus', '0011_auto_20160523_1353'),
    ]

    operations = [
        migrations.CreateModel(
            name='StreamStartPage',
            fields=[
                ('page_ptr', models.OneToOneField(parent_link=True, auto_created=True, primary_key=True, serialize=False, to='wagtailcore.Page')),
                ('title_de', models.CharField(help_text="The page title as you'd like it to be seen by the public", max_length=255, null=True, verbose_name='Title')),
                ('title_en', models.CharField(help_text="The page title as you'd like it to be seen by the public", max_length=255, null=True, verbose_name='Title')),
                ('title_ru', models.CharField(help_text="The page title as you'd like it to be seen by the public", max_length=255, null=True, verbose_name='Title')),
                ('title_uk', models.CharField(help_text="The page title as you'd like it to be seen by the public", max_length=255, null=True, verbose_name='Title')),
                ('show_register_button', models.BooleanField(default=True, verbose_name='Show Register Button')),
                ('redirect_if_logged_in', models.BooleanField(default=False, help_text='If active, this page will only be visible to non-logged-in users. All others will be redirected to the activities page.', verbose_name='Redirect Logged in Users')),
                ('header_title', cosinnus.models.wagtail_blocks.BetterRichTextField(verbose_name='Header Title', blank=True)),
                ('header_title_de', cosinnus.models.wagtail_blocks.BetterRichTextField(null=True, verbose_name='Header Title', blank=True)),
                ('header_title_en', cosinnus.models.wagtail_blocks.BetterRichTextField(null=True, verbose_name='Header Title', blank=True)),
                ('header_title_ru', cosinnus.models.wagtail_blocks.BetterRichTextField(null=True, verbose_name='Header Title', blank=True)),
                ('header_title_uk', cosinnus.models.wagtail_blocks.BetterRichTextField(null=True, verbose_name='Header Title', blank=True)),
                ('header_text', cosinnus.models.wagtail_blocks.BetterRichTextField(verbose_name='Header Text', blank=True)),
                ('header_text_de', cosinnus.models.wagtail_blocks.BetterRichTextField(null=True, verbose_name='Header Text', blank=True)),
                ('header_text_en', cosinnus.models.wagtail_blocks.BetterRichTextField(null=True, verbose_name='Header Text', blank=True)),
                ('header_text_ru', cosinnus.models.wagtail_blocks.BetterRichTextField(null=True, verbose_name='Header Text', blank=True)),
                ('header_text_uk', cosinnus.models.wagtail_blocks.BetterRichTextField(null=True, verbose_name='Header Text', blank=True)),
                ('header_content', wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], verbose_name='Additional Header content', blank=True)),
                ('header_content_de', wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Additional Header content', blank=True)),
                ('header_content_en', wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Additional Header content', blank=True)),
                ('header_content_ru', wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Additional Header content', blank=True)),
                ('header_content_uk', wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Additional Header content', blank=True)),
                ('site_widgets', wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], verbose_name='Site Widgets', blank=True)),
                ('bottom_content', wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], verbose_name='Bottom content (gray background)', blank=True)),
                ('bottom_content_de', wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Bottom content (gray background)', blank=True)),
                ('bottom_content_en', wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Bottom content (gray background)', blank=True)),
                ('bottom_content_ru', wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Bottom content (gray background)', blank=True)),
                ('bottom_content_uk', wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Bottom content (gray background)', blank=True)),
                ('header_image', models.ForeignKey(related_name='+', on_delete=django.db.models.deletion.SET_NULL, verbose_name='Header image', blank=True, to='wagtailimages.Image', null=True)),
                ('header_image_de', models.ForeignKey(related_name='+', on_delete=django.db.models.deletion.SET_NULL, verbose_name='Header image', blank=True, to='wagtailimages.Image', null=True)),
                ('header_image_en', models.ForeignKey(related_name='+', on_delete=django.db.models.deletion.SET_NULL, verbose_name='Header image', blank=True, to='wagtailimages.Image', null=True)),
                ('header_image_ru', models.ForeignKey(related_name='+', on_delete=django.db.models.deletion.SET_NULL, verbose_name='Header image', blank=True, to='wagtailimages.Image', null=True)),
                ('header_image_uk', models.ForeignKey(related_name='+', on_delete=django.db.models.deletion.SET_NULL, verbose_name='Header image', blank=True, to='wagtailimages.Image', null=True)),
            ],
            options={
                'abstract': False,
            },
            bases=(cosinnus.models.wagtail_models.SplitMultiLangTabsMixin, wagtail_modeltranslation.models.TranslationMixin, 'wagtailcore.page'),
        ),
        migrations.AlterField(
            model_name='streamdashboarddoublecolumnpage',
            name='banner_left',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], verbose_name='Left banner (top)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboarddoublecolumnpage',
            name='banner_left_de',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Left banner (top)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboarddoublecolumnpage',
            name='banner_left_en',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Left banner (top)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboarddoublecolumnpage',
            name='banner_left_ru',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Left banner (top)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboarddoublecolumnpage',
            name='banner_left_uk',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Left banner (top)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboarddoublecolumnpage',
            name='banner_right',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], verbose_name='Right banner (top)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboarddoublecolumnpage',
            name='banner_right_de',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Right banner (top)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboarddoublecolumnpage',
            name='banner_right_en',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Right banner (top)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboarddoublecolumnpage',
            name='banner_right_ru',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Right banner (top)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboarddoublecolumnpage',
            name='banner_right_uk',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Right banner (top)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboarddoublecolumnpage',
            name='content1',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], verbose_name='Content (left column)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboarddoublecolumnpage',
            name='content1_de',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Content (left column)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboarddoublecolumnpage',
            name='content1_en',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Content (left column)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboarddoublecolumnpage',
            name='content1_ru',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Content (left column)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboarddoublecolumnpage',
            name='content1_uk',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Content (left column)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboarddoublecolumnpage',
            name='content2',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], verbose_name='Content (right column)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboarddoublecolumnpage',
            name='content2_de',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Content (right column)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboarddoublecolumnpage',
            name='content2_en',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Content (right column)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboarddoublecolumnpage',
            name='content2_ru',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Content (right column)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboarddoublecolumnpage',
            name='content2_uk',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Content (right column)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboarddoublecolumnpage',
            name='footer_left',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], verbose_name='Left footer', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboarddoublecolumnpage',
            name='footer_left_de',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Left footer', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboarddoublecolumnpage',
            name='footer_left_en',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Left footer', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboarddoublecolumnpage',
            name='footer_left_ru',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Left footer', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboarddoublecolumnpage',
            name='footer_left_uk',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Left footer', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboarddoublecolumnpage',
            name='footer_right',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], verbose_name='Right footer', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboarddoublecolumnpage',
            name='footer_right_de',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Right footer', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboarddoublecolumnpage',
            name='footer_right_en',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Right footer', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboarddoublecolumnpage',
            name='footer_right_ru',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Right footer', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboarddoublecolumnpage',
            name='footer_right_uk',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Right footer', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboarddoublecolumnpage',
            name='header',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], verbose_name='Header', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboarddoublecolumnpage',
            name='header_de',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Header', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboarddoublecolumnpage',
            name='header_en',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Header', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboarddoublecolumnpage',
            name='header_ru',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Header', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboarddoublecolumnpage',
            name='header_uk',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Header', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardsinglecolumnpage',
            name='banner_left',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], verbose_name='Left banner (top)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardsinglecolumnpage',
            name='banner_left_de',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Left banner (top)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardsinglecolumnpage',
            name='banner_left_en',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Left banner (top)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardsinglecolumnpage',
            name='banner_left_ru',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Left banner (top)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardsinglecolumnpage',
            name='banner_left_uk',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Left banner (top)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardsinglecolumnpage',
            name='banner_right',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], verbose_name='Right banner (top)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardsinglecolumnpage',
            name='banner_right_de',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Right banner (top)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardsinglecolumnpage',
            name='banner_right_en',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Right banner (top)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardsinglecolumnpage',
            name='banner_right_ru',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Right banner (top)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardsinglecolumnpage',
            name='banner_right_uk',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Right banner (top)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardsinglecolumnpage',
            name='content1',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], verbose_name='Content', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardsinglecolumnpage',
            name='content1_de',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Content', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardsinglecolumnpage',
            name='content1_en',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Content', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardsinglecolumnpage',
            name='content1_ru',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Content', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardsinglecolumnpage',
            name='content1_uk',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Content', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardsinglecolumnpage',
            name='footer_left',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], verbose_name='Left footer', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardsinglecolumnpage',
            name='footer_left_de',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Left footer', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardsinglecolumnpage',
            name='footer_left_en',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Left footer', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardsinglecolumnpage',
            name='footer_left_ru',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Left footer', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardsinglecolumnpage',
            name='footer_left_uk',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Left footer', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardsinglecolumnpage',
            name='footer_right',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], verbose_name='Right footer', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardsinglecolumnpage',
            name='footer_right_de',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Right footer', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardsinglecolumnpage',
            name='footer_right_en',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Right footer', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardsinglecolumnpage',
            name='footer_right_ru',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Right footer', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardsinglecolumnpage',
            name='footer_right_uk',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Right footer', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardsinglecolumnpage',
            name='header',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], verbose_name='Header', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardsinglecolumnpage',
            name='header_de',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Header', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardsinglecolumnpage',
            name='header_en',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Header', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardsinglecolumnpage',
            name='header_ru',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Header', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardsinglecolumnpage',
            name='header_uk',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Header', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='banner_left',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], verbose_name='Left banner (top)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='banner_left_de',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Left banner (top)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='banner_left_en',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Left banner (top)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='banner_left_ru',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Left banner (top)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='banner_left_uk',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Left banner (top)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='banner_right',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], verbose_name='Right banner (top)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='banner_right_de',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Right banner (top)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='banner_right_en',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Right banner (top)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='banner_right_ru',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Right banner (top)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='banner_right_uk',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Right banner (top)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='content1',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], verbose_name='Content (left column)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='content1_de',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Content (left column)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='content1_en',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Content (left column)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='content1_ru',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Content (left column)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='content1_uk',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Content (left column)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='content2',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], verbose_name='Content (center column)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='content2_de',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Content (center column)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='content2_en',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Content (center column)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='content2_ru',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Content (center column)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='content2_uk',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Content (center column)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='content3',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], verbose_name='Content (right column)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='content3_de',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Content (right column)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='content3_en',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Content (right column)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='content3_ru',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Content (right column)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='content3_uk',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Content (right column)', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='footer_left',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], verbose_name='Left footer', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='footer_left_de',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Left footer', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='footer_left_en',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Left footer', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='footer_left_ru',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Left footer', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='footer_left_uk',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Left footer', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='footer_right',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], verbose_name='Right footer', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='footer_right_de',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Right footer', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='footer_right_en',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Right footer', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='footer_right_ru',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Right footer', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='footer_right_uk',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Right footer', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='header',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], verbose_name='Header', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='header_de',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Header', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='header_en',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Header', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='header_ru',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Header', blank=True),
        ),
        migrations.AlterField(
            model_name='streamdashboardtriplecolumnpage',
            name='header_uk',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Header', blank=True),
        ),
        migrations.AlterField(
            model_name='streamsimpleonepage',
            name='content',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], verbose_name='Content', blank=True),
        ),
        migrations.AlterField(
            model_name='streamsimpleonepage',
            name='content_de',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Content', blank=True),
        ),
        migrations.AlterField(
            model_name='streamsimpleonepage',
            name='content_en',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Content', blank=True),
        ),
        migrations.AlterField(
            model_name='streamsimpleonepage',
            name='content_ru',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Content', blank=True),
        ),
        migrations.AlterField(
            model_name='streamsimpleonepage',
            name='content_uk',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Content', blank=True),
        ),
        migrations.AlterField(
            model_name='streamsimpletwopage',
            name='content',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], verbose_name='Content', blank=True),
        ),
        migrations.AlterField(
            model_name='streamsimpletwopage',
            name='content_de',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Content', blank=True),
        ),
        migrations.AlterField(
            model_name='streamsimpletwopage',
            name='content_en',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Content', blank=True),
        ),
        migrations.AlterField(
            model_name='streamsimpletwopage',
            name='content_ru',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Content', blank=True),
        ),
        migrations.AlterField(
            model_name='streamsimpletwopage',
            name='content_uk',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Content', blank=True),
        ),
        migrations.AlterField(
            model_name='streamsimpletwopage',
            name='leftnav',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], verbose_name='Left Sidebar', blank=True),
        ),
        migrations.AlterField(
            model_name='streamsimpletwopage',
            name='leftnav_de',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Left Sidebar', blank=True),
        ),
        migrations.AlterField(
            model_name='streamsimpletwopage',
            name='leftnav_en',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Left Sidebar', blank=True),
        ),
        migrations.AlterField(
            model_name='streamsimpletwopage',
            name='leftnav_ru',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Left Sidebar', blank=True),
        ),
        migrations.AlterField(
            model_name='streamsimpletwopage',
            name='leftnav_uk',
            field=wagtail.wagtailcore.fields.StreamField([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link')), ('frame_2x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='6-6', choices=[('6-6', '1/2 + 1/2'), ('8-4', '2/3 + 1/3'), ('4-8', '1/3 + 2/3')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_3x1', wagtail.wagtailcore.blocks.StructBlock([(b'columns', wagtail.wagtailcore.blocks.ChoiceBlock(default='4-4-4', choices=[('4-4-4', '1/3 + 1/3 + 1/3'), ('6-3-3', '1/2 + 1/4 + 1/4'), ('3-6-3', '1/4 + 1/2 + 1/4'), ('3-3-6', '1/4 + 1/4 + 1/2')], label='Proportions', icon='fa fa-columns')), (b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form')), ('frame_4x1', wagtail.wagtailcore.blocks.StructBlock([(b'left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_left', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'middle_right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs')), (b'right', wagtail.wagtailcore.blocks.StreamBlock([('paragraph', cosinnus.models.wagtail_blocks.BetterRichTextBlock(icon='form')), ('image', wagtail.wagtailimages.blocks.ImageChooserBlock(icon='image')), ('create_project_button', wagtail.wagtailcore.blocks.StructBlock([(b'type', wagtail.wagtailcore.blocks.ChoiceBlock(default='project', choices=[('project', 'Project'), ('group', 'Group')], label='Type'))])), ('media', wagtail.wagtailembeds.blocks.EmbedBlock(icon='media')), ('html', wagtail.wagtailcore.blocks.RawHTMLBlock(icon='code')), ('link', wagtail.wagtailcore.blocks.StructBlock([(b'url', wagtail.wagtailcore.blocks.URLBlock(label='URL')), (b'text', wagtail.wagtailcore.blocks.CharBlock())], icon='link'))], icon='cogs'))], icon='form'))], null=True, verbose_name='Left Sidebar', blank=True),
        ),
    ]
